Skip to content

Results are limited to the current section: Cloud services

Product news

Rebatch Jobs

POST
/api/v1/batches/{batch__id}/rebatch

Retry a selection of jobs from an existing batch in a new batch.

The new batch inherits the same parameters (sequence, device type) as the original. Its parent_id is set to the original batch ID, and each retried job’s parent_id references the original job. The project will be billed for the retried jobs.

Returns: The newly created batch containing the retried jobs.

batch__id
required
Batch Id
string format: uuid
id
Id

Unique id for the job

Array<string>
default:

Unique id for the job

id__starts_with
Id Starts With

First characters of the job id

string
""

First characters of the job id

batch_id
Batch Id

Owner batch of the job

Array<string>
default:

Owner batch of the job

project_id
Project Id

Owner project of the job

Array<string>
default:

Owner project of the job

user_id
User Id

Owner user of the job

Array<string>
default:

Owner user of the job

status

Job status type enum

Array<string>
default:
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING

Job status type enum

min_runs
Min Runs

Minimum number of times the pulser sequence is repeated

integer
""

Minimum number of times the pulser sequence is repeated

max_runs
Max Runs

Maximum number of times the pulser sequence is repeated

integer
""

Maximum number of times the pulser sequence is repeated

errors
Errors

Whether errors were returned when executing the job

boolean
""

Whether errors were returned when executing the job

origin

Origin of the job

Array<string>
default:
Allowed values: CLIENT AZURE OVH UNKNOWN

Origin of the job

start_date
Start Date

Time when the emulator or QPU indicated a job was started

string format: date-time
""

Time when the emulator or QPU indicated a job was started

end_date
End Date

Time when the emulator or QPU indicated a job finished, failed or was cancelled

string format: date-time
""

Time when the emulator or QPU indicated a job finished, failed or was cancelled

Successful Response

NonPaginatedResponse[ProducedBatchWithPartialJobsResponse]
object
data
ProducedBatchWithPartialJobsResponse

Response for a batch request which includes its jobs data but without the results.

This schema defines all the fields that can be publicly shared by the API.

object
id
required
Id

Unique identifier for the batch.

string format: uuid
parent_id
required
Parent Id

ID of the parent batch if created from a retry.

string format: uuid
status
required

Current batch status.

string
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED
complete
required
Complete

Deprecated. Use open instead. Indicates whether the batch is still accepting additional jobs. False means the batch is open; True means it is closed.

boolean
open
required
Open

Whether the batch is open and accepting additional jobs.

boolean
priority
required
Priority

Deprecated. Priority of the batch.

integer
device_type
required
Device Type

Target device type for the batch.

string
user_id
required
User Id

ID of the user who created the batch.

string
project_id
required
Project Id

ID of the project this batch belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the batch was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last batch update.

string format: date-time
sequence_builder
required
Sequence Builder

Serialized Pulser sequence shared by all jobs.

string
jobs_count
required
Jobs Count

Total number of jobs in the batch.

integer
jobs_count_per_status
required
Jobs Count Per Status

Number of jobs grouped by status.

object
tags
required
Tags

User-defined labels for organizing batches.

Array<string>
unique items
configuration
required
Configuration

Deprecated. Use backend_configuration. Extra configuration for job execution.

object
backend_configuration
required
Backend Configuration

Serialized emulator backend configuration.

string
webhook
required
Webhook

URL where job results are sent via webhook.

string
start_datetime
required
Start Datetime

Timestamp when processing started on hardware.

string format: date-time
end_datetime
required
End Datetime

Timestamp when processing finished, errored, or was canceled.

string format: date-time
jobs
required
Jobs

Jobs in the batch (without result payloads).

Array<object>
ProducedPartialJobResponse

Response to a request for a job.

This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, ‘logs_links’ or ‘results link’.

object
id
required
Id

Unique identifier for the job.

string format: uuid
parent_id
required
Parent Id

ID of the original job if created from a retry (rebatch).

string format: uuid
status
required

Current job status.

string
Allowed values: PENDING RUNNING DONE ERROR CANCELED CANCELING
runs
required
Runs

Number of times the pulse sequence is repeated.

integer
batch_id
required
Batch Id

ID of the batch this job belongs to.

string format: uuid
project_id
required
Project Id

ID of the project this job belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the job was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last job update.

string format: date-time
start_timestamp
required
Start Timestamp

Timestamp when the QPU or emulator started processing.

string format: date-time
end_timestamp
required
End Timestamp

Timestamp when the QPU or emulator finished, errored, or canceled the job.

string format: date-time
variables
required
Variables

Variable assignments used to build the pulse sequence.

object
errors
required
Errors

Errors returned during job execution.

Array<string>
progress
required
Progress

Job progress percentage (0-100).

integer
<= 100
sequence
required
Sequence

The built pulse sequence for the job.

string
creation_order
required
Creation Order

Position in the creation order within the batch.

integer
Example
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "DONE",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:35:00Z",
"start_timestamp": "2025-01-15T10:31:00Z",
"end_timestamp": "2025-01-15T10:35:00Z",
"variables": {
"omega": 5
},
"progress": 100,
"creation_order": 1
}
queue_priority
required

Priority queue on which the batch is scheduled.

string
Allowed values: CRITICAL HIGH MEDIUM LOW FREE
Example
{
"id": "00000000-0000-0000-0000-000000000002",
"status": "PENDING",
"complete": false,
"open": true,
"priority": 0,
"device_type": "FRESNEL",
"user_id": "user-123",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"sequence_builder": "<serialized Pulser sequence>",
"jobs_count": 1,
"jobs_count_per_status": {
"PENDING": 1
},
"tags": [],
"jobs": [
{
"id": "00000000-0000-0000-0000-000000000003",
"status": "PENDING",
"runs": 100,
"batch_id": "00000000-0000-0000-0000-000000000002",
"project_id": "00000000-0000-0000-0000-000000000001",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"variables": {
"omega": 5
},
"progress": 0,
"creation_order": 0
}
],
"queue_priority": "MEDIUM"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string